Skip to content

Modify the order of Pipeline functions

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Modify the order of Pipeline functions

Method name

ManagementClient.update_pipeline_order

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
orderstring[]Yes-New sorting method, sorting in the order of function IDs.[]
scenestringyes-Function triggering scenario:
- PRE_REGISTER: before registration
- POST_REGISTER: after registration
- PRE_AUTHENTICATION: before authentication
- POST_AUTHENTICATION: after authentication
- PRE_OIDC_ID_TOKEN_ISSUED: before OIDC ID Token issuance
- PRE_OIDC_ACCESS_TOKEN_ISSUED: before OIDC Access Token issuance
- PRE_COMPLETE_USER_INFO: before completing user information
PRE_REGISTER

Request response

Type: CommonResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}

Data structure

Agent infrastructure for identity, memory, and web action.